# Uses of Class
org.apache.cxf.service.model.FaultInfo

Packages that use FaultInfo
Package
Description
org.apache.cxf.interceptor
org.apache.cxf.service
org.apache.cxf.service.model

- ## Uses of FaultInfo in org.apache.cxf.interceptor

  Methods in org.apache.cxf.interceptor that return FaultInfo
  Modifier and Type
  Method
  Description
  `FaultInfo`
  FaultOutInterceptor.`getFaultForClass(BindingOperationInfo op, Class<?> class1)`
  Find the correct Fault part for a particular exception.
  Methods in org.apache.cxf.interceptor with parameters of type FaultInfo
  Modifier and Type
  Method
  Description
  `protected Object`
  FaultOutInterceptor.`getFaultBean(Throwable cause, FaultInfo faultPart, Message message)`

- ## Uses of FaultInfo in org.apache.cxf.service

  Methods in org.apache.cxf.service with parameters of type FaultInfo
  Modifier and Type
  Method
  Description
  `void`
  ServiceModelVisitor.`begin(FaultInfo fault)`
  `void`
  ServiceModelVisitor.`end(FaultInfo fault)`

- ## Uses of FaultInfo in org.apache.cxf.service.model

  Methods in org.apache.cxf.service.model that return FaultInfo
  Modifier and Type
  Method
  Description
  `FaultInfo`
  OperationInfo.`addFault(QName name, QName message)`
  Adds an fault to this operation.
  `FaultInfo`
  UnwrappedOperationInfo.`addFault(QName name, QName message)`
  `FaultInfo`
  OperationInfo.`getFault(QName name)`
  Returns the fault with the given name, if found.
  `FaultInfo`
  UnwrappedOperationInfo.`getFault(QName name)`
  `FaultInfo`
  BindingFaultInfo.`getFaultInfo()`
  Methods in org.apache.cxf.service.model that return types with arguments of type FaultInfo
  Modifier and Type
  Method
  Description
  `Collection<FaultInfo>`
  OperationInfo.`getFaults()`
  Returns all faults for this operation.
  `Collection<FaultInfo>`
  UnwrappedOperationInfo.`getFaults()`
  Methods in org.apache.cxf.service.model with parameters of type FaultInfo
  Modifier and Type
  Method
  Description
  `void`
  OperationInfo.`addFault(FaultInfo fault)`
  Adds a fault to this operation.
  Constructors in org.apache.cxf.service.model with parameters of type FaultInfo
  Modifier
  Constructor
  Description
  ``
  `BindingFaultInfo(FaultInfo f, BindingOperationInfo info)`